import { r as A, s as T, _ as n, P as o, t as R, v as F, l } from "./PrizeCard-C2El3VOB.js";
import * as O from "react";
import { s as C, i as M, b as x, u as z, a as P, c as D } from "./Button-DPGn5NZd.js";
import { c as N } from "./ModalDialog-CmE2hP2R.js";
import { a as $ } from "./NotFoundSkeleton-BJ7rW_uC.js";
import { d as j } from "./Notification-BG5P1Xiq.js";
import { jsx as r } from "react/jsx-runtime";
function I(t) {
  return T("MuiCardActions", t);
}
A("MuiCardActions", ["root"]);
const E = ["className", "component", "children", "buttonFlex", "orientation", "slots", "slotProps"], U = () => D({
  root: ["root"]
}, I, {}), _ = C("div")(({
  ownerState: t
}) => {
  var s;
  return n({
    "--Button-radius": "var(--Card-childRadius)",
    "--IconButton-radius": "var(--Card-childRadius)",
    display: "flex"
  }, ((s = t.orientation) == null ? void 0 : s.startsWith("horizontal")) && {
    alignItems: "center"
    // it is common to have children aligned center in horizontal orientation, but not vertically.
  }, {
    flexDirection: t.orientation === "horizontal" ? "row" : "column"
  }, t.orientation === "horizontal-reverse" && {
    flexDirection: "row-reverse"
  }, {
    zIndex: 1,
    // render above Link's overlay
    gap: "calc(0.625 * var(--Card-padding))",
    padding: "var(--unstable_padding)",
    "--unstable_padding": "calc(0.75 * var(--Card-padding)) 0 0 0",
    [`.${$.root} > &`]: {
      "--unstable_padding": "calc(0.75 * var(--Card-padding)) 0 var(--Card-padding)"
    },
    [`.${N.root} > .${j.root} + &`]: {
      "--unstable_padding": "0"
    }
  }, t.buttonFlex ? {
    [`& > :not(.${M.root})`]: {
      flex: t.buttonFlex
    },
    [`& > :not(button) > .${x.root}`]: {
      width: "100%"
      // for button to fill its wrapper.
    }
  } : {
    [`& > .${x.root}:only-child`]: {
      flex: "auto"
    }
  });
}), K = C(_, {
  name: "JoyCardActions",
  slot: "Root",
  overridesResolver: (t, s) => s.root
})({}), L = /* @__PURE__ */ O.forwardRef(function(s, c) {
  const e = z({
    props: s,
    name: "JoyCardActions"
  }), {
    className: a,
    component: i = "div",
    children: d,
    buttonFlex: p,
    orientation: u = "horizontal",
    slots: m = {},
    slotProps: h = {}
  } = e, f = R(e, E), y = n({}, f, {
    component: i,
    slots: m,
    slotProps: h
  }), v = n({}, e, {
    component: i,
    buttonFlex: p,
    orientation: u
  }), b = U(), [g, w] = P("root", {
    ref: c,
    className: F(b.root, a),
    elementType: K,
    externalForwardedProps: y,
    ownerState: v
  });
  return /* @__PURE__ */ r(g, n({}, w, {
    children: d
  }));
});
process.env.NODE_ENV !== "production" && (L.propTypes = {
  // ┌────────────────────────────── Warning ──────────────────────────────┐
  // │ These PropTypes are generated from the TypeScript type definitions. │
  // │ To update them, edit the TypeScript types and run `pnpm proptypes`. │
  // └─────────────────────────────────────────────────────────────────────┘
  /**
   * The CSS `flex` for the Button and its wrapper.
   */
  buttonFlex: o.oneOfType([o.number, o.string]),
  /**
   * Used to render icon or text elements inside the CardActions if `src` is not set.
   * This can be an element, or just a string.
   */
  children: o.node,
  /**
   * @ignore
   */
  className: o.string,
  /**
   * The component used for the root node.
   * Either a string to use a HTML element or a component.
   */
  component: o.elementType,
  /**
   * The component orientation.
   * @default 'horizontal'
   */
  orientation: o.oneOf(["horizontal-reverse", "horizontal", "vertical"]),
  /**
   * The props used for each slot inside.
   * @default {}
   */
  slotProps: o.shape({
    root: o.oneOfType([o.func, o.object])
  }),
  /**
   * The components used for each slot inside.
   * @default {}
   */
  slots: o.shape({
    root: o.elementType
  }),
  /**
   * The system prop that allows defining system overrides as well as additional CSS styles.
   */
  sx: o.oneOfType([o.arrayOf(o.oneOfType([o.func, o.object, o.bool])), o.func, o.object])
});
function S(t) {
  return T("MuiDialogActions", t);
}
A("MuiDialogActions", ["root"]);
const J = ["component", "children", "buttonFlex", "orientation", "slots", "slotProps"], B = () => D({
  root: ["root"]
}, S, {}), H = C(_, {
  name: "JoyDialogActions",
  slot: "Root",
  overridesResolver: (t, s) => s.root
})({}), V = /* @__PURE__ */ O.forwardRef(function(s, c) {
  const e = z({
    props: s,
    name: "JoyDialogActions"
  }), {
    component: a = "div",
    children: i,
    buttonFlex: d,
    orientation: p = "horizontal-reverse",
    slots: u = {},
    slotProps: m = {}
  } = e, h = R(e, J), f = n({}, h, {
    component: a,
    slots: u,
    slotProps: m
  }), y = n({}, e, {
    component: a,
    buttonFlex: d,
    orientation: p
  }), v = B(), [b, g] = P("root", {
    ref: c,
    className: v.root,
    elementType: H,
    externalForwardedProps: f,
    ownerState: y
  });
  return /* @__PURE__ */ r(b, n({}, g, {
    children: i
  }));
});
process.env.NODE_ENV !== "production" && (V.propTypes = {
  // ┌────────────────────────────── Warning ──────────────────────────────┐
  // │ These PropTypes are generated from the TypeScript type definitions. │
  // │ To update them, edit the TypeScript types and run `pnpm proptypes`. │
  // └─────────────────────────────────────────────────────────────────────┘
  /**
   * The CSS `flex` for the Button and its wrapper.
   */
  buttonFlex: o.oneOfType([o.number, o.string]),
  /**
   * Used to render icon or text elements inside the DialogActions if `src` is not set.
   * This can be an element, or just a string.
   */
  children: o.node,
  /**
   * The component used for the root node.
   * Either a string to use a HTML element or a component.
   */
  component: o.elementType,
  /**
   * The component orientation.
   * @default 'horizontal-reverse'
   */
  orientation: o.oneOf(["horizontal-reverse", "horizontal", "vertical"]),
  /**
   * The props used for each slot inside.
   * @default {}
   */
  slotProps: o.shape({
    root: o.oneOfType([o.func, o.object])
  }),
  /**
   * The components used for each slot inside.
   * @default {}
   */
  slots: o.shape({
    root: o.elementType
  }),
  /**
   * The system prop that allows defining system overrides as well as additional CSS styles.
   */
  sx: o.oneOfType([o.arrayOf(o.oneOfType([o.func, o.object, o.bool])), o.func, o.object])
});
const Y = l(/* @__PURE__ */ r("path", {
  d: "M15.41 16.59 10.83 12l4.58-4.59L14 6l-6 6 6 6z"
}), "KeyboardArrowLeft"), Z = l(/* @__PURE__ */ r("path", {
  d: "M8.59 16.59 13.17 12 8.59 7.41 10 6l6 6-6 6z"
}), "KeyboardArrowRight"), oo = l(/* @__PURE__ */ r("path", {
  d: "M11 18h2v-2h-2zm1-16C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2m0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8m0-14c-2.21 0-4 1.79-4 4h2c0-1.1.9-2 2-2s2 .9 2 2c0 2-3 1.75-3 5h2c0-2.25 3-2.5 3-5 0-2.21-1.79-4-4-4"
}), "HelpOutline"), to = l(/* @__PURE__ */ r("path", {
  d: "M3 17.25V21h3.75L17.81 9.94l-3.75-3.75zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34a.996.996 0 0 0-1.41 0l-1.83 1.83 3.75 3.75z"
}), "Edit");
export {
  V as D,
  to as E,
  oo as H,
  Y as K,
  Z as a
};
